#pragma once

#include "CoreMinimal.h"
#include "UObject/ObjectPtr.h"
#include "GFxWidgetBinding.generated.h"

class UClass;

USTRUCT(BlueprintType)
struct FGFxWidgetBinding
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName WidgetName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<UClass> WidgetClass;

public:
	SCALEFORMUI_API FGFxWidgetBinding();
};

FORCEINLINE uint32 GetTypeHash(const FGFxWidgetBinding) { return 0; }
